Name:		osmpbf
Version:	1.3.3
Release:	1%{?dist}
Summary:	OpenStreetMap PBF file format library - tools

License:	GPLv3
URL:		https://github.com/scrosby/OSM-binary
Source0:	https://github.com/scrosby/OSM-binary/archive/v%{version}/%{name}-%{version}.tar.gz
# Upstream builds a static library, so this patch modifies the Makefiles to
# build a shared library and link against it instead.
# Using downstream soname versioning for now.
Patch0:		osmpbf-build-shared-library.patch

BuildRequires:	protobuf-devel protobuf-lite-devel
Requires:	protobuf-lite

%description
osmpbf is a C library to read and write OpenStreetMap PBF files.
PBF (Protocol buffer Binary Format) is a binary file format for OpenStreetMap
data that uses Google Protocol Buffers as low-level storage.

%package devel
Summary:        Development files for the %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
osmpbf is a C library to read and write OpenStreetMap PBF files.
PBF (Protocol buffer Binary Format) is a binary file format for OpenStreetMap
data that uses Google Protocol Buffers as low-level storage.


%package java
Summary:	Java OpenStreetMap PBF file format library
BuildArch:	noarch
BuildRequires:	ant
BuildRequires:	javapackages-local

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%description java
osmpbf is a Java library to read and write OpenStreetMap PBF files.
PBF (Protocol buffer Binary Format) is a binary file format for OpenStreetMap
data that uses Google Protocol Buffers as low-level storage.

%prep
%setup -qn OSM-binary-%{version}
%patch0 -p1

%build
CFLAGS="%{optflags} -fPIC" LDFLAGS="%{?__global_ldflags}" make -C src \
                                                                %{?_smp_mflags}
CFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}" make -C tools \
                                                                %{?_smp_mflags}

ant

%install
DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_libdir} make -C src install
DESTDIR=%{buildroot} PREFIX=%{_prefix} make -C tools install

%mvn_artifact pom.xml %{name}.jar
%mvn_install -J src.java

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING.osmpbf
%doc README ReleaseNotes.txt
%{_bindir}/osmpbf-outline
%{_libdir}/lib%{name}.so.0.1

%files devel
%{_includedir}/*
%{_libdir}/lib%{name}.so

%files java -f .mfiles
%license COPYING.osmpbf
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc
%license COPYING.osmpbf

%changelog
* Fri Aug 14 2015 Eduardo Mayorga Téllez <mayorga@fedoraproject.org> - 1.3.3-1
- Initial packaging
